﻿<div class="col-md-6 offset-md-3 mt-5">
  <div class="card">
    <h4 class="card-header">Login</h4>
    <div class="card-body">
      <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
          <label>Benutzername</label>
          <input type="text" formControlName="username" class="form-control"/>
        </div>
        <div class="form-group">
          <label>Passwort</label>
          <input type="password" formControlName="password" class="form-control"/>
        </div>
        <mat-error *ngIf="error">
          <div>Benutzername und Passwort stimmen nicht überein!</div>
        </mat-error>
        <button [disabled]="loginForm.invalid" [class.gray]="loginForm.invalid" class="btn btn-primary float-right">
          <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
          Login
        </button>
      </form>
    </div>
  </div>
</div>
